%PRIDANI KODU PREDCHOZI ULOHY DO CESTY
addpath ../predzpracovani
clear all; clc %vymazani promennych a obrazovky

% nacteni obrazku otisku
id = 1; num = 1;
[im1 name] = loadfprint(id, num, 'upek');
% [imSegmented imContour] = segmentimage2(im1, 9); % pro overeni segmentace
% show_segmentation(im1, imContour);               %
imS1 = preprocess(im1, name, 5);

id = 1; num = 2;
[im2 name] = loadfprint(id, num, 'upek');
% [imSegmented imContour] = segmentimage2(im1, 9); % pro overeni segmentace
% show_segmentation(im1, imContour);               % 
imS2 = preprocess(im2, name, 11);

% ZAROVNANI
% a) automaticky
[mAi2Align im2Align im2SkAlign offset2 angle2 core2] = ...
    align2(imS1.imageSkeleton, imS1.singularityPoints, imS2.imageSkeleton, imS2.singularityPoints, imS2.minutiaArray, imS2.im);

% b) manualne
% [im2SkAlign mAi2Align, im2Align offset ang jadra] = ...
%     align_manually(imS1.im, imS2.im, imS2.imageSkeleton, imS2.minutiaArray, imS2.im);

% ZOBRAZENI ZAROVNANI
show_align(imS1.imageSkeleton, im2SkAlign);
show_minutia(imS1.im, imS1.imageSkeleton, imS1.minutiaArray);
show_minutia(imS2.im, imS2.imageSkeleton, imS2.minutiaArray);

% POROVNANI
% a) pomoci markatnu
[matchingScore1, nbmatch1, inputmatch1, dbmatch1] = matchP(imS1.minutiaArray, mAi2Align); %markantovy align

% b) pomoci fingercodu
matchongScoreG1 = fingercode_score(imS1.im, imS1.singularityPoints, im2Align, imS2.singularityPoints); %fingercode align

%zobrazeni vystupu
disp(' ')
disp(['Skore markantoveho matchingu1: ' num2str(matchingScore1)]);
disp(['Skore fingercode matchingu1: ' num2str(matchongScoreG1)]);